apiVersion: apps/v1
kind: DaemonSet
metadata:
  name: {{ include "nvidia-device-plugin.fullname" . }}
  namespace: kube-system
spec:
  selector:
    matchLabels:
      {{- include "nvidia-device-plugin.selectorLabels" . | nindent 6 }}
  updateStrategy:
    {{- with .Values.updateStrategy -}}
      {{ toYaml . | nindent 4 }}
    {{- end }}
  template:
    metadata:
      labels:
        {{- include "nvidia-device-plugin.labels" . | nindent 8 }}
    spec:
      tolerations:
      {{- with .Values.tolerations -}}
      {{ toYaml . | nindent 6 }}
      {{- end }}
      priorityClassName: {{ .Values.priorityClassName }}
      containers:
      - image: {{ .Values.image.repository }}:{{ .Chart.AppVersion }}
        name: {{ include "nvidia-device-plugin.fullname" . }}
        args: ["--fail-on-init-error=false"]
        securityContext:
          {{- with .Values.securityContext -}}
          {{ toYaml . | nindent 10 }}
          {{- end }}
        volumeMounts:
        {{- with .Values.volumeMounts -}}
          {{ toYaml . | nindent 8 }}
        {{- end }}
      volumes:
      {{- with .Values.volumes -}}
        {{ toYaml . | nindent 6 }}
      {{- end }}
